> For the complete documentation index, see [llms.txt](https://developers.lfj.gg/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.lfj.gg/lfj-router-api/models.md).

# Models

## The Token object

```json
{"openapi":"3.0.0","info":{"title":"LFJ Router API","version":"1.0.0"},"components":{"schemas":{"Token":{"type":"object","properties":{"address":{"type":"string","description":"Token address"},"symbol":{"type":"string","description":"Token symbol"}}}}}}
```

## The TokenOut object

```json
{"openapi":"3.0.0","info":{"title":"LFJ Router API","version":"1.0.0"},"components":{"schemas":{"TokenOut":{"type":"object","properties":{"address":{"type":"string","description":"Token address"},"symbol":{"type":"string","description":"Token symbol"},"swaps":{"type":"array","items":{"type":"object"}}}}}}}
```

## The Swap object

```json
{"openapi":"3.0.0","info":{"title":"LFJ Router API","version":"1.0.0"},"components":{"schemas":{"Swap":{"type":"object","properties":{"pair":{"type":"string","description":"Pair address"},"tokenIn":{"$ref":"#/components/schemas/Token","type":"object","description":"Input token"},"tokenOut":{"$ref":"#/components/schemas/TokenOut","type":"object","description":"Output token with swaps"},"amountBp":{"type":"integer","description":"Percentage of input token used for this swap in basis points"}}},"Token":{"type":"object","properties":{"address":{"type":"string","description":"Token address"},"symbol":{"type":"string","description":"Token symbol"}}},"TokenOut":{"type":"object","properties":{"address":{"type":"string","description":"Token address"},"symbol":{"type":"string","description":"Token symbol"},"swaps":{"type":"array","items":{"type":"object"}}}}}}}
```

## The TokenWithSwaps object

```json
{"openapi":"3.0.0","info":{"title":"LFJ Router API","version":"1.0.0"},"components":{"schemas":{"TokenWithSwaps":{"allOf":[{"$ref":"#/components/schemas/Token"},{"type":"object","properties":{"swaps":{"type":"array","items":{"$ref":"#/components/schemas/Swap"}}}}]},"Token":{"type":"object","properties":{"address":{"type":"string","description":"Token address"},"symbol":{"type":"string","description":"Token symbol"}}},"Swap":{"type":"object","properties":{"pair":{"type":"string","description":"Pair address"},"tokenIn":{"$ref":"#/components/schemas/Token","type":"object","description":"Input token"},"tokenOut":{"$ref":"#/components/schemas/TokenOut","type":"object","description":"Output token with swaps"},"amountBp":{"type":"integer","description":"Percentage of input token used for this swap in basis points"}}},"TokenOut":{"type":"object","properties":{"address":{"type":"string","description":"Token address"},"symbol":{"type":"string","description":"Token symbol"},"swaps":{"type":"array","items":{"type":"object"}}}}}}}
```

## The QuoteResponse object

```json
{"openapi":"3.0.0","info":{"title":"LFJ Router API","version":"1.0.0"},"components":{"schemas":{"QuoteResponse":{"type":"object","properties":{"tokenIn":{"$ref":"#/components/schemas/TokenWithSwaps"},"tokenOut":{"$ref":"#/components/schemas/Token"},"amountIn":{"type":"string","description":"Input token amount"},"amountOut":{"type":"string","description":"Output token amount"},"aggregator":{"type":"string","description":"Aggregator identifier"}}},"TokenWithSwaps":{"allOf":[{"$ref":"#/components/schemas/Token"},{"type":"object","properties":{"swaps":{"type":"array","items":{"$ref":"#/components/schemas/Swap"}}}}]},"Token":{"type":"object","properties":{"address":{"type":"string","description":"Token address"},"symbol":{"type":"string","description":"Token symbol"}}},"Swap":{"type":"object","properties":{"pair":{"type":"string","description":"Pair address"},"tokenIn":{"$ref":"#/components/schemas/Token","type":"object","description":"Input token"},"tokenOut":{"$ref":"#/components/schemas/TokenOut","type":"object","description":"Output token with swaps"},"amountBp":{"type":"integer","description":"Percentage of input token used for this swap in basis points"}}},"TokenOut":{"type":"object","properties":{"address":{"type":"string","description":"Token address"},"symbol":{"type":"string","description":"Token symbol"},"swaps":{"type":"array","items":{"type":"object"}}}}}}}
```

## The SwapResponse object

```json
{"openapi":"3.0.0","info":{"title":"LFJ Router API","version":"1.0.0"},"components":{"schemas":{"SwapResponse":{"type":"object","properties":{"from":{"type":"string","description":"Transaction from address"},"to":{"type":"string","description":"Transaction to address"},"data":{"type":"string","description":"Transaction data"},"value":{"type":"string","description":"Transaction value"},"gas":{"type":"string","description":"Gas limit"},"gasPrice":{"type":"string","description":"Gas price"}}}}}}
```

## The Error object

```json
{"openapi":"3.0.0","info":{"title":"LFJ Router API","version":"1.0.0"},"components":{"schemas":{"Error":{"type":"object","properties":{"error":{"type":"string","description":"Error message"}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developers.lfj.gg/lfj-router-api/models.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
